
import * as configDev from '@/config/env.dev.js';  
import * as configProd from '@/config/env.prod.js';  

// 根据环境变量加载配置文件  
function loadConfig() {  
  const env = process.env.NODE_ENV || 'development'; // 默认环境为开发环境  
  let configFile;  
    
  if (env === 'development') {   
    configFile = configDev // 开发环境配置文件路径  
  } else if (env === 'production') {  
    configFile = configProd; // 生产环境配置文件路径  
  } else {  
    throw new Error(`Unsupported environment: ${env}`);  
  }  
    
  return configFile;  
}  
  
// 导出配置对象  
export default loadConfig();
